PHP Manual
Prev |  | Next

# bzcompress

(PHP 4 >= 4.3.3, PHP 5)

bzcompress -- Compress a string into bzip2 encoded data

## Description

mixed bzcompress ( string source [, int blocksize [, int workfactor]] )

bzcompress() compresses the given string and returns it as bzip2 encoded data.

## Parameters

`source`

  The string to compress.

`blocksize`

  Specifies the blocksize used during compression and should be a number from 1 to 9 with 9 giving the best compression, but using more resources to do so. `blocksize` defaults to 4.

`workfactor`

  Controls how the compression phase behaves when presented with worst case, highly repetitive, input data. The value can be between 0 and 250 with 0 being a special case and 30 being the default value.

  Regardless of the `workfactor`, the generated output is the same.

## Return Values

The compressed string or number of error in case of error.

## Examples

Example 1. Compressing data

`<?php $str = "sample data"; $bzstr = bzcompress($str, 9); echo $bzstr; ?>`

## See Also

bzdecompress()

Prev | Home | Next
bzclose | Up | bzdecompress